Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005009TestLinkReportspublic2012-05-08 07:182013-05-22 20:56
ReporterSSH 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSLinuxOS VersionSLES10
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005009: Provide way to link non-users/guests to a URL report without any authentication required
DescriptionThere are many times that management (or reporting spreadsheets, etc) would find it useful to link to a URL that gives a report from testlink. Currently there is no way to do that.

See also: http://www.teamst.org/forum/viewtopic.php?f=9&t=2917 [^] and http://www.teamst.org/forum/viewtopic.php?f=8&t=3735 [^]
Steps To ReproduceLink to a report URL when not logged in to TL
Tagsnndbiz
Database (MySQL,Postgres,etc)Any
BrowserAny
PHP VersionAny
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0016655)
fman (administrator)
2012-05-08 08:26

>> Link to a report URL when not logged in to TL
this step is useless, there is no way to reproduce
please provide a real set of steps.
(0016656)
SSH (reporter)
2012-05-08 08:36

Sorry, can you explain how one can reproduce a feature that does not exist? If I link a report URL to someone outside the testlink users, they just get a login page.
(0016657)
fman (administrator)
2012-05-08 09:30

>> Sorry, can you explain how one can reproduce a feature that does not exist?
At the risk of starting and endless discussion:
what is then, the value of content of provided on steps of reproduce?

We need a simple but detailed requirement.

------------------------------------------------------------------------------
I.e.:
Requirement:
possibility to provide the link (via copy and paste) to report to users, and allow to access with anonymous access.

Example:
Create test project
...
...
Go to reports
Request Reports XXX
Copy Link
Logout
Now paste saved link.
TODAY: user and password is requested
AFTER implementation: report will be displayed.
------------------------------------------------------------------------------

Please try to make our work easier, instead of providing link to posts to forum, copy here (and improve) valuable info present on forum.
(0018919)
fman (administrator)
2013-05-09 06:04

only an apikey has to be provided

- Issue History
Date Modified Username Field Change
2012-05-08 07:18 SSH New Issue
2012-05-08 08:26 fman Note Added: 0016655
2012-05-08 08:36 SSH Note Added: 0016656
2012-05-08 09:30 fman Note Added: 0016657
2012-05-17 17:51 fman Tag Attached: nndbiz
2013-05-09 06:04 fman QA Team - Task Workflow Status => READY FOR TESTING
2013-05-09 06:04 fman Note Added: 0018919
2013-05-09 06:04 fman Status new => resolved
2013-05-09 06:04 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-05-09 06:04 fman Resolution open => fixed
2013-05-09 06:04 fman Assigned To => fman
2013-05-22 20:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker